package com.ibeetl.admin.flow.entity;

import com.ibeetl.admin.core.annotation.Query;
import com.ibeetl.admin.core.web.query.PageParam;

public class QueryDirectedFunnel extends PageParam{
	
	@Query(type=2, name="日期", display=true)
	private String  datestr; //时间
	private String  productid; //产品编码
	@Query(name="产品",display = true, type = Query.TYPE_DICT, dict = "notfound")
	private String  productname; //产品名称
	private String  sptypename; //产品分类
	private String  orderuv; //订购页UV
	private String  orderpv; //订购页PV
	private String  capuv; //统一认证UV
	private String  cappv; //统一认证PV
	private String  level1ratio; //一级转换率
	private String  level2ratio; //二级转换率
	private String  level3ratio; //三级转换率
	private String  ordertimes; //订购发起次数
	private String  ordercnt; //订购成功次数
	private String  funneltypeid; // 埋点渠道分类id
	@Query(name="埋点渠道",display = true, type = Query.TYPE_DICT, dict = "notfound")
	private String  funneltypename; // 埋点渠道分类名称
	@Query(name="日期步长", display=true, type=5, dict="countDate", group="countDate")
	private String countDate;//日期统计步长 0 所有  1 按日
	private String startdate;
	
	private String enddate;
	private String cgl;
	private String pjzhl;
	
	
	
	
	
	
	
	
	
	
	
	public String getCgl() {
		return cgl;
	}
	public void setCgl(String cgl) {
		this.cgl = cgl;
	}
	public String getPjzhl() {
		return pjzhl;
	}
	public void setPjzhl(String pjzhl) {
		this.pjzhl = pjzhl;
	}
	public String getStartdate() {
		return startdate;
	}
	public void setStartdate(String startdate) {
		this.startdate = startdate;
	}
	public String getEnddate() {
		return enddate;
	}
	public void setEnddate(String enddate) {
		this.enddate = enddate;
	}
	public String getDatestr() {
		return datestr;
	}
	public void setDatestr(String datestr) {
		this.datestr = datestr;
	}
	public String getProductid() {
		return productid;
	}
	public void setProductid(String productid) {
		this.productid = productid;
	}
	public String getProductname() {
		return productname;
	}
	public void setProductname(String productname) {
		this.productname = productname;
	}
	public String getSptypename() {
		return sptypename;
	}
	public void setSptypename(String sptypename) {
		this.sptypename = sptypename;
	}
	public String getOrderuv() {
		return orderuv;
	}
	public void setOrderuv(String orderuv) {
		this.orderuv = orderuv;
	}
	public String getOrderpv() {
		return orderpv;
	}
	public void setOrderpv(String orderpv) {
		this.orderpv = orderpv;
	}
	public String getCapuv() {
		return capuv;
	}
	public void setCapuv(String capuv) {
		this.capuv = capuv;
	}
	public String getCappv() {
		return cappv;
	}
	public void setCappv(String cappv) {
		this.cappv = cappv;
	}
	public String getLevel1ratio() {
		return level1ratio;
	}
	public void setLevel1ratio(String level1ratio) {
		this.level1ratio = level1ratio;
	}
	public String getLevel2ratio() {
		return level2ratio;
	}
	public void setLevel2ratio(String level2ratio) {
		this.level2ratio = level2ratio;
	}
	public String getLevel3ratio() {
		return level3ratio;
	}
	public void setLevel3ratio(String level3ratio) {
		this.level3ratio = level3ratio;
	}
	public String getOrdertimes() {
		return ordertimes;
	}
	public void setOrdertimes(String ordertimes) {
		this.ordertimes = ordertimes;
	}
	public String getOrdercnt() {
		return ordercnt;
	}
	public void setOrdercnt(String ordercnt) {
		this.ordercnt = ordercnt;
	}
	public String getFunneltypeid() {
		return funneltypeid;
	}
	public void setFunneltypeid(String funneltypeid) {
		this.funneltypeid = funneltypeid;
	}
	public String getFunneltypename() {
		return funneltypename;
	}
	public void setFunneltypename(String funneltypename) {
		this.funneltypename = funneltypename;
	}
	public String getCountDate() {
		return countDate;
	}
	public void setCountDate(String countDate) {
		this.countDate = countDate;
	}

	
	
	
}
